<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping
  PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="false" default-cascade="all-delete-orphan" default-lazy="false">
   <class discriminator-value="[magoffin.matt.ieat.domain.Course]"
          name="magoffin.matt.ieat.domain.Course"
          table="course">
      <cache usage="read-write"/>
      <id access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
          name="CourseId"
          type="org.hibernate.type.IntegerType"
          unsaved-value="null">
         <column name="courseid" not-null="true"/>
         <generator class="native">
            <param name="sequence">hibernate_integer_seq</param>
         </generator>
      </id>
      <discriminator formula="'magoffin.matt.ieat.domain.Course'"
                     type="org.hibernate.type.StringType"/>
      <property access="org.jvnet.hyperjaxb2.runtime.hibernate.accessor.CheckingPropertyAccessor"
                name="Value">
         <column name="Value_"/>
         <type name="org.hibernate.type.StringType"/>
      </property>
      <subclass discriminator-value="magoffin.matt.ieat.domain.Course"
                name="magoffin.matt.ieat.domain.impl.CourseImpl"/>
   </class>
</hibernate-mapping>